package de.intevation.flys.client.client.ui.map;

import com.google.gwt.user.client.ui.Grid;

import com.smartgwt.client.widgets.Label;
import com.smartgwt.client.widgets.layout.HLayout;
import com.smartgwt.client.widgets.layout.Layout;
import com.smartgwt.client.widgets.layout.VLayout;

import de.intevation.flys.client.shared.model.Capabilities;


public class CapabilitiesPanel extends VLayout {

    protected Capabilities capabilites;


    public CapabilitiesPanel(Capabilities capabilites) {
        super();
        this.capabilites = capabilites;

        initLayout();
    }


    protected void initLayout() {
        setMargin(10);
        initContent();
    }


    protected void initContent() {
        Grid grid = new Grid(5, 2);
        grid.setCellPadding(10);

        grid.setText(0, 0, "Titel:");
        grid.setText(0, 1, "TODO:");
        grid.setText(1, 0, "URL:");
        grid.setText(1, 1, "TODO");
        grid.setText(2, 0, "Nutzungsbedingungen:");
        grid.setText(2, 1, capabilites.getAccessConstraints());
        grid.setText(3, 0, "Gebühren:");
        grid.setText(3, 1, capabilites.getFees());
        grid.setText(4, 0, "Weitere Informationen:");
        grid.setText(4, 1, "TODO");

        Label title = new Label("Bitte beachten Sie folgende Informationen des WMS-Dienstes:");
        title.setHeight(25);

        addMember(title);
        addMember(grid);
    }


    //private void initLayout() {
    //    Label title   = new Label("Titel:");
    //    Label url     = new Label("URL:");
    //    Label access  = new Label("Nutzungsbedingungen:");
    //    Label fees    = new Label("Gebühren:");
    //    Label contact = new Label("Weitere Informationen:");

    //    Label titleContent   = new Label("TODO");
    //    Label urlContent     = new Label("TODO");
    //    Label accessContent  = new Label(capabilites.getAccessConstraints());
    //    Label feesContent    = new Label(capabilites.getFees());
    //    Label contactContent = new Label("TODO");

    //    addMember(createRow(title, titleContent));
    //    addMember(createRow(url, urlContent));
    //    addMember(createRow(access, accessContent));
    //    addMember(createRow(fees, feesContent));
    //    addMember(createRow(contact, contactContent));
    //}


    protected Layout createRow(Label title, Label content) {
        title.setWidth(100);

        HLayout layout = new HLayout();
        layout.addMember(title);
        layout.addMember(content);

        return layout;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
